## org.eclipse.datatools.modelbase.sql.routines.util
Class SQLRoutinesSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.routines.util.SQLRoutinesSwitch

public class SQLRoutinesSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLRoutinesPackage`

Constructor Summary
`SQLRoutinesSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseBuiltInFunction(BuiltInFunction object)` Returns the result of interpretting the object as an instance of 'Built In Function'.
`java.lang.Object` `caseEModelElement(EModelElement object)` Returns the result of interpretting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(ENamedElement object)` Returns the result of interpretting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseFunction(Function object)` Returns the result of interpretting the object as an instance of 'Function'.
`java.lang.Object` `caseMethod(Method object)` Returns the result of interpretting the object as an instance of 'Method'.
`java.lang.Object` `caseParameter(Parameter object)` Returns the result of interpretting the object as an instance of 'Parameter'.
`java.lang.Object` `caseProcedure(Procedure object)` Returns the result of interpretting the object as an instance of 'Procedure'.
`java.lang.Object` `caseRoutine(Routine object)` Returns the result of interpretting the object as an instance of 'Routine'.
`java.lang.Object` `caseRoutineResultTable(RoutineResultTable object)` Returns the result of interpretting the object as an instance of 'Routine Result Table'.
`java.lang.Object` `caseSource(Source object)` Returns the result of interpretting the object as an instance of 'Source'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpretting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseTable(Table object)` Returns the result of interpretting the object as an instance of 'Table'.
`java.lang.Object` `caseTypedElement(TypedElement object)` Returns the result of interpretting the object as an instance of 'Typed Element'.
`java.lang.Object` `caseUserDefinedFunction(UserDefinedFunction object)` Returns the result of interpretting the object as an instance of 'User Defined Function'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLRoutinesSwitch

    public SQLRoutinesSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseRoutine

    public java.lang.Object caseRoutine(Routine object)

  Returns the result of interpretting the object as an instance of 'Routine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Routine'.
  See Also:
    `doSwitch(EObject)`

### caseSource

    public java.lang.Object caseSource(Source object)

  Returns the result of interpretting the object as an instance of 'Source'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Source'.
  See Also:
    `doSwitch(EObject)`

### caseParameter

    public java.lang.Object caseParameter(Parameter object)

  Returns the result of interpretting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseProcedure

    public java.lang.Object caseProcedure(Procedure object)

  Returns the result of interpretting the object as an instance of 'Procedure'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Procedure'.
  See Also:
    `doSwitch(EObject)`

### caseFunction

    public java.lang.Object caseFunction(Function object)

  Returns the result of interpretting the object as an instance of 'Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Function'.
  See Also:
    `doSwitch(EObject)`

### caseRoutineResultTable

    public java.lang.Object caseRoutineResultTable(RoutineResultTable object)

  Returns the result of interpretting the object as an instance of 'Routine Result Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Routine Result Table'.
  See Also:
    `doSwitch(EObject)`

### caseMethod

    public java.lang.Object caseMethod(Method object)

  Returns the result of interpretting the object as an instance of 'Method'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Method'.
  See Also:
    `doSwitch(EObject)`

### caseUserDefinedFunction

    public java.lang.Object caseUserDefinedFunction(UserDefinedFunction object)

  Returns the result of interpretting the object as an instance of 'User Defined Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'User Defined Function'.
  See Also:
    `doSwitch(EObject)`

### caseBuiltInFunction

    public java.lang.Object caseBuiltInFunction(BuiltInFunction object)

  Returns the result of interpretting the object as an instance of 'Built In Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Built In Function'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(EModelElement object)

  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(ENamedElement object)

  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpretting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public java.lang.Object caseTypedElement(TypedElement object)

  Returns the result of interpretting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseTable

    public java.lang.Object caseTable(Table object)

  Returns the result of interpretting the object as an instance of 'Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.